#!/bin/sh

function isenabled() {
    ! [ $(gpioget 4 8) == 1 ]
}

function toggle() {
    gpioset --mode=time --usec=600000 4 6=1 && gpioset 4 6=0
    sleep 0.5

    attempts=0
    while [ isenabled == $1 ]; do
        if [ $((attempts++)) -gt 6 ]; then
            return 1
        fi
        sleep 0.5
    done
}

if [[ $1 == "enable" ]]; then
    if isenabled; then
        echo "Already Enabled"
    else
        echo "Enabling..."
        if toggle true; then
            echo "Done"
        else
            echo "Unable to enable!"
            exit 1
        fi
    fi
elif [[ $1 == "disable" ]]; then
    if ! isenabled; then
        echo "Already Disabled"
    else
        echo "Disabling..."
        if toggle false; then
            echo "Done"
        else
            echo "Unable to disable!"
            exit 1
        fi
    fi
else
    echo "Unknown command \"$1\""
fi
